Bug 827104 - in.telnetd can't spawn login when /bin is a symlink
in.telnetd can't spawn login when /bin is a symlink
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 11:44 EDT by Nalin Dahyabhai
Modified: 2012-09-17 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:34:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2012-05-31 11:44:19 EDT
Description of problem:
Since the filesystem conversion for F17, in.telnetd can't start login.

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-125.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. chkconfig telnet on
2. telnet localhost
  
Actual results:
telnetd: /bin/login: Permission denied

Expected results:
(a login prompt)

Additional info:
Here's what ausearch had to say:

time->Thu May 31 11:39:21 2012
type=PATH msg=audit(1338478761.258:157): item=0 name="/bin/login"
type=CWD msg=audit(1338478761.258:157):  cwd="/"
type=SYSCALL msg=audit(1338478761.258:157): arch=c000003e syscall=59 success=no exit=-13 a0=7f3303d19206 a1=7f3305185340 a2=7f33051852e0 a3=7fff93e0a210 items=1 ppid=3751 pid=3752 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts4 ses=4294967295 comm="in.telnetd" exe="/usr/sbin/in.telnetd" subj=system_u:system_r:telnetd_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1338478761.258:157): avc:  denied  { read } for  pid=3752 comm="in.telnetd" name="bin" dev="dm-3" ino=7473 scontext=system_u:system_r:telnetd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=lnk_file
Comment 1 Daniel Walsh 2012-05-31 13:35:18 EDT
This is fixed in selinux-policy-3.10.0-128.fc17.noarch
Comment 2 Nalin Dahyabhai 2012-06-01 14:07:46 EDT
Ah, so it is.
Comment 3 Fedora Update System 2012-08-29 07:51:15 EDT
selinux-policy-3.11.1-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-14.fc18
Comment 4 Fedora Update System 2012-08-29 14:44:25 EDT
Package selinux-policy-3.11.1-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12934/selinux-policy-3.11.1-14.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-17 19:34:02 EDT
selinux-policy-3.11.1-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.